Page MenuHomePhabricator

[libc++] Lift std::errc into a separated header
ClosedPublic

Authored by lichray on Dec 18 2017, 4:20 AM.

Details

Summary

This is needed to implement <charconv>, otherwise <charconv> would need to include <system_error>, which pulls in <string> -- a header which the <charconv> proposal intends to keep away from.

Diff Detail

Repository
rCXX libc++

Event Timeline

lichray created this revision.Dec 18 2017, 4:20 AM
lichray edited the summary of this revision. (Show Details)Jan 2 2018, 11:31 AM
lichray updated this revision to Diff 141109.Apr 5 2018, 12:03 AM

Update module map

mclow.lists accepted this revision.May 15 2018, 10:25 AM

Sorry this took so long. Please update test/libcxx/double_include.sh.cpp and commit.

This revision is now accepted and ready to land.May 15 2018, 10:25 AM

Sorry this took so long. Please update test/libcxx/double_include.sh.cpp and commit.

Are you sure? double_include.sh.cpp doesn't seem to be testing any intermediate headers.

This revision was automatically updated to reflect the committed changes.